Package: org.codehaus.groovy.control

## [Java] Class ClassgenCallback

- org.codehaus.groovy.control.CompilationUnit.ClassgenCallback

- A callback interface you can use to "accompany" the classgen() code as it traverses the ClassNode tree. You will be called-back for each primary and inner class. Use setClassgenCallback() before running compile() to set your callback.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(org.objectweb.asm.ClassVisitor writer, ClassNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void call(org.objectweb.asm.ClassVisitor writer, ClassNode node)